org.apache.solr.common.params

## Class AppendedSolrParams

- java.lang.Object
- - org.apache.solr.common.params.SolrParams
  - - org.apache.solr.common.params.DefaultSolrParams
    - - org.apache.solr.common.params.AppendedSolrParams

All Implemented Interfaces:
  Serializable

    public class AppendedSolrParams
    extends DefaultSolrParams

SolrParams wrapper which acts similar to DefaultSolrParams except that it "appends" the values of multi-value params from both sub instances, so that all of the values are returned.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.solr.common.params.DefaultSolrParams

`defaults, params`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String[]` `getParams(String param)` returns an array of the String values of a param, or null if none
`String` `toString()` Like `SolrParams.toQueryString()`, but only replacing enough chars so that the URL may be unambiguously pasted back into a browser.
`static AppendedSolrParams` `wrapAppended(SolrParams params, SolrParams extra)`

### Methods inherited from class org.apache.solr.common.params.DefaultSolrParams

`get, getParameterNamesIterator`

### Methods inherited from class org.apache.solr.common.params.SolrParams

`fpname, get, getAll, getAll, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, getLong, getLong, getLong, required, toFilteredSolrParams, toMap, toMultiMap, toNamedList, toQueryString, toSolrParams, wrapDefaults`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### wrapAppended

    public static AppendedSolrParams wrapAppended(SolrParams params,
                                                  SolrParams extra)

#### getParams

    public String[] getParams(String param)

Description copied from class: `SolrParams`
returns an array of the String values of a param, or null if none

Overrides:
  `getParams` in class `DefaultSolrParams`

#### toString

    public String toString()

Description copied from class: `SolrParams`
Like `SolrParams.toQueryString()`, but only replacing enough chars so that the URL may be unambiguously pasted back into a browser. This method can be used to properly log query parameters without making them unreadable.

Characters with a numeric value less than 32 are encoded. &,=,%,+,space are encoded.

Overrides:
  `toString` in class `DefaultSolrParams`